Package org.apache.storm.spout

# Enum Class CheckPointState.Action

java.lang.Object
java.lang.Enum<CheckPointState.Action>
org.apache.storm.spout.CheckPointState.Action

All Implemented Interfaces:
  `Serializable`, `Comparable<CheckPointState.Action>`, `Constable`

Enclosing class:
  CheckPointState

public static enum CheckPointState.Action extends Enum<CheckPointState.Action>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `COMMIT`
  commit the previously prepared transaction.
  `INITSTATE`
  initialize the state.
  `PREPARE`
  prepare transaction for commit.
  `ROLLBACK`
  rollback the previously prepared transaction.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static CheckPointState.Action`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static CheckPointState.Action[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### PREPARE

    public static final CheckPointState.Action PREPARE
    prepare transaction for commit.

  - ### COMMIT

    public static final CheckPointState.Action COMMIT
    commit the previously prepared transaction.

  - ### ROLLBACK

    public static final CheckPointState.Action ROLLBACK
    rollback the previously prepared transaction.

  - ### INITSTATE

    public static final CheckPointState.Action INITSTATE
    initialize the state.

- ## Method Details

  - ### values

    public static CheckPointState.Action[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static CheckPointState.Action valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null